﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows;
using System.Windows.Media.Imaging;
using System.Windows.Controls.Primitives;

namespace TestSL
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			this.DataContext = new MainViewModel();
			this.myTab2.ItemContainerGenerator.StatusChanged += this.ItemContainerGeneratorStatusChanged;
		}

		private void ItemContainerGeneratorStatusChanged(object sender, EventArgs e)
		{
			var generator = sender as Telerik.Windows.Controls.ItemContainerGenerator;
			if (generator != null && generator.Status == Telerik.Windows.Controls.Primitives.GeneratorStatus.ContainersGenerated)
			{
				var container = this.myTab2.ItemContainerGenerator.ContainerFromIndex(3) as RadTabItem;
				var secondContainer = this.myTab2.ItemContainerGenerator.ContainerFromIndex(6) as RadTabItem;
				if (container != null)
				{
					container.IsBreak = true;
				}
				if (secondContainer != null)
				{
					secondContainer.IsBreak = true;
				}
			}
		}
	}
}
